body {
    background-image: linear-gradient(to right, var(--bg-start), var(--bg-end));
    margin: 0;
    overflow: hidden;
    flex-direction: column;
    display: flex;
    min-height: 100vh;
    overflow-y: auto;
}

.nav-bar {
    display: flex;
    justify-content: flex-end;
    padding-right: 20px;
    gap: 2rem;
}

.nav-bar p {
    color: var(--text-color);
    font-family: sans-serif;
}

.nav-bar a {
    text-decoration: none;
}

        .menu {
    display: none;
    width: 2rem;
    height: 5vw;
    padding: 10px;
    padding-right: 30px;
}

@media screen and (max-width:600px) {
    .nav-bar a {display: none;}
    .nav-bar a.menu {
        float: right;
        display: block;
    }
    .nav-bar.responsive {
        position: relative;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        width: 100%;
        padding-left: 10px;
        box-sizing: border-box;
    }
    .nav-bar.nav-bar.responsive a.menu {
        position: absolute;
        right: 20px;
        top: 20px;
        width: 2rem;
        display: block;
        z-index: 10;
    }
    .nav-bar.nav-bar.responsive a {
        float: none;
        display: block;
        text-align: left;
    }
}


.title-cont {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex: 1;
}

.title-cont h1 {
    margin: 1;
    font-family: sans-serif;
    font-weight: bold;
    color: var(--text-color);
    white-space: nowrap;
    overflow: hidden;
    
}


.explore {
    background-color: var(--button-color);
    border: 1px solid var(--border-color);
    border-radius: 5px;
    width: 90%;
    max-width: 480px;
    height: 50px;
    margin-top: 90px;
    color: var(--text-color);
    font-weight: bold;
    cursor: pointer;    
}

.explore:hover {
    box-shadow: 0px 4px 10px var(--bg-end);
}
